### Signal

# Gtk SignalListItemFactory::teardown

#### Declaration

    void
    teardown (
      GtkSignalListItemFactory self,
      GtkListItem* listitem,
      gpointer user_data
    )

#### Description [src]

Emitted when a listitem is about to be destroyed.

It is the last signal ever emitted for this `listitem`.

This signal is the opposite of the `GtkSignalListItemFactory::setup` signal and should be used to undo everything done in that signal.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`listitem` | `GtkListItem`
| The `GtkListItem` to teardown.
| The data is owned by the caller of the function.